Enumerations

# genworld_widget.h File Reference

Types related to the genworld widgets. More...

Go to the source code of this file.

## Enumerations
enum | GenerateLandscapeWidgets { WID_GL_TEMPERATE, WID_GL_ARCTIC, WID_GL_TROPICAL, WID_GL_TOYLAND, WID_GL_MAPSIZE_X_PULLDOWN, WID_GL_MAPSIZE_Y_PULLDOWN, WID_GL_TOWN_PULLDOWN, WID_GL_INDUSTRY_PULLDOWN, WID_GL_RANDOM_EDITBOX, WID_GL_RANDOM_BUTTON, WID_GL_GENERATE_BUTTON, WID_GL_START_DATE_DOWN, WID_GL_START_DATE_TEXT, WID_GL_START_DATE_UP, WID_GL_SNOW_LEVEL_DOWN, WID_GL_SNOW_LEVEL_TEXT, WID_GL_SNOW_LEVEL_UP, WID_GL_TREE_PULLDOWN, WID_GL_LANDSCAPE_PULLDOWN, WID_GL_HEIGHTMAP_NAME_TEXT, WID_GL_HEIGHTMAP_SIZE_TEXT, WID_GL_HEIGHTMAP_ROTATION_PULLDOWN, WID_GL_TERRAIN_PULLDOWN, WID_GL_WATER_PULLDOWN, WID_GL_RIVER_PULLDOWN, WID_GL_SMOOTHNESS_PULLDOWN, WID_GL_VARIETY_PULLDOWN, WID_GL_BORDERS_RANDOM, WID_GL_WATER_NW, WID_GL_WATER_NE, WID_GL_WATER_SE, WID_GL_WATER_SW }
| Widgets of the GenerateLandscapeWindow class. More...
enum | CreateScenarioWidgets { WID_CS_TEMPERATE, WID_CS_ARCTIC, WID_CS_TROPICAL, WID_CS_TOYLAND, WID_CS_EMPTY_WORLD, WID_CS_RANDOM_WORLD, WID_CS_MAPSIZE_X_PULLDOWN, WID_CS_MAPSIZE_Y_PULLDOWN, WID_CS_START_DATE_DOWN, WID_CS_START_DATE_TEXT, WID_CS_START_DATE_UP, WID_CS_FLAT_LAND_HEIGHT_DOWN, WID_CS_FLAT_LAND_HEIGHT_TEXT, WID_CS_FLAT_LAND_HEIGHT_UP }
| Widgets of the CreateScenarioWindow class. More...
enum | GenerationProgressWidgets { WID_GP_PROGRESS_BAR, WID_GP_PROGRESS_TEXT, WID_GP_ABORT }
| Widgets of the GenerateProgressWindow class. More...

## Detailed Description

Types related to the genworld widgets.

Definition in file genworld_widget.h.

## Enumeration Type Documentation

enum CreateScenarioWidgets

Widgets of the CreateScenarioWindow class.

Enumerator:

  WID_CS_TEMPERATE | Select temperate landscape style.
  WID_CS_ARCTIC | Select arctic landscape style.
  WID_CS_TROPICAL | Select tropical landscape style.
  WID_CS_TOYLAND | Select toy-land landscape style.
  WID_CS_EMPTY_WORLD | Generate an empty flat world.
  WID_CS_RANDOM_WORLD | Generate random land button.
  WID_CS_MAPSIZE_X_PULLDOWN | Pull-down arrow for x map size.
  WID_CS_MAPSIZE_Y_PULLDOWN | Pull-down arrow for y map size.
  WID_CS_START_DATE_DOWN | Decrease start year (start earlier).
  WID_CS_START_DATE_TEXT | Clickable start date value.
  WID_CS_START_DATE_UP | Increase start year (start later).
  WID_CS_FLAT_LAND_HEIGHT_DOWN | Decrease flat land height.
  WID_CS_FLAT_LAND_HEIGHT_TEXT | Clickable flat land height value.
  WID_CS_FLAT_LAND_HEIGHT_UP | Increase flat land height.

Definition at line 62 of file genworld_widget.h.

enum GenerateLandscapeWidgets

Widgets of the GenerateLandscapeWindow class.

Enumerator:

  WID_GL_TEMPERATE | Button with icon "Temperate".
  WID_GL_ARCTIC | Button with icon "Arctic".
  WID_GL_TROPICAL | Button with icon "Tropical".
  WID_GL_TOYLAND | Button with icon "Toyland".
  WID_GL_MAPSIZE_X_PULLDOWN | Dropdown 'map X size'.
  WID_GL_MAPSIZE_Y_PULLDOWN | Dropdown 'map Y size'.
  WID_GL_TOWN_PULLDOWN | Dropdown 'No. of towns'.
  WID_GL_INDUSTRY_PULLDOWN | Dropdown 'No. of industries'.
  WID_GL_RANDOM_EDITBOX | 'Random seed' editbox.
  WID_GL_RANDOM_BUTTON | 'Randomise' button.
  WID_GL_GENERATE_BUTTON | 'Generate' button.
  WID_GL_START_DATE_DOWN | Decrease start year.
  WID_GL_START_DATE_TEXT | Start year.
  WID_GL_START_DATE_UP | Increase start year.
  WID_GL_SNOW_LEVEL_DOWN | Decrease snow level.
  WID_GL_SNOW_LEVEL_TEXT | Snow level.
  WID_GL_SNOW_LEVEL_UP | Increase snow level.
  WID_GL_TREE_PULLDOWN | Dropdown 'Tree algorithm'.
  WID_GL_LANDSCAPE_PULLDOWN | Dropdown 'Land generator'.
  WID_GL_HEIGHTMAP_NAME_TEXT | Heightmap name.
  WID_GL_HEIGHTMAP_SIZE_TEXT | Size of heightmap.
  WID_GL_HEIGHTMAP_ROTATION_PULLDOWN | Dropdown 'Heightmap rotation'.
  WID_GL_TERRAIN_PULLDOWN | Dropdown 'Terrain type'.
  WID_GL_WATER_PULLDOWN | Dropdown 'Sea level'.
  WID_GL_RIVER_PULLDOWN | Dropdown 'Rivers'.
  WID_GL_SMOOTHNESS_PULLDOWN | Dropdown 'Smoothness'.
  WID_GL_VARIETY_PULLDOWN | Dropdown 'Variety distribution'.
  WID_GL_BORDERS_RANDOM | 'Random'/'Manual' borders.
  WID_GL_WATER_NW | NW 'Water'/'Freeform'.
  WID_GL_WATER_NE | NE 'Water'/'Freeform'.
  WID_GL_WATER_SE | SE 'Water'/'Freeform'.
  WID_GL_WATER_SW | SW 'Water'/'Freeform'.

Definition at line 16 of file genworld_widget.h.

enum GenerationProgressWidgets

Widgets of the GenerateProgressWindow class.

Enumerator:

  WID_GP_PROGRESS_BAR | Progress bar.
  WID_GP_PROGRESS_TEXT | Text with the progress bar.
  WID_GP_ABORT | Abort button.

Definition at line 80 of file genworld_widget.h.